## visad.data.visad
Interface BinaryFile

All Known Subinterfaces:
  BinaryObject

All Known Implementing Classes:
  BinaryCoordinateSystem, BinaryDataArray, BinaryDelaunay, BinaryDisplayRealType, BinaryDisplayTupleType, BinaryDoubleArray, BinaryDoubleMatrix, BinaryErrorEstimate, BinaryFieldImpl, BinaryFlatField, BinaryFloatArray, BinaryFloatMatrix, BinaryFunctionType, BinaryGeneric, BinaryGriddedDoubleSet, BinaryGriddedSet, BinaryIntegerArray, BinaryIntegerMatrix, BinaryIntegerSet, BinaryIrregularSet, BinaryLinearSet, BinaryList1DSet, BinaryMathType, BinaryProductSet, BinaryQuantity, BinaryReader, BinaryReal, BinaryRealTuple, BinaryRealTupleType, BinaryRealType, BinaryRealVectorType, BinarySampledSet, BinaryScalarType, BinarySerializedObject, BinarySetType, BinarySimpleSet, BinarySingletonSet, BinaryString, BinaryText, BinaryTextType, BinaryTuple, BinaryTupleType, BinaryUnionSet, BinaryUnit, BinaryUnknown, BinaryWriter

public interface BinaryFile

Constant values used by both `BinaryReader` and `BinaryWriter`
`MAGIC_STR` and `FORMAT_VERSION` are used to mark the file as a VisAD binary file.
`OBJ_` constants indicate the type of the next object in the file.
`FLD_` constants indicate the type of the next field for the current object in the file.
`MATH_` constants indicate the type of `FLD_MATH` objects.
`DATA_` constants indicate the type of `FLD_DATA` objects.

Field Summary
`static byte` `DATA_DOUBLE_SET`
`static byte` `DATA_FIELD`
`static byte` `DATA_FLAT_FIELD`
`static byte` `DATA_FLOAT_SET`
`static byte` `DATA_GRIDDED_1D_DOUBLE_SET`
`static byte` `DATA_GRIDDED_1D_SET`
`static byte` `DATA_GRIDDED_2D_DOUBLE_SET`
`static byte` `DATA_GRIDDED_2D_SET`
`static byte` `DATA_GRIDDED_3D_DOUBLE_SET`
`static byte` `DATA_GRIDDED_3D_SET`
`static byte` `DATA_GRIDDED_SET`
`static byte` `DATA_INTEGER_1D_SET`
`static byte` `DATA_INTEGER_2D_SET`
`static byte` `DATA_INTEGER_3D_SET`
`static byte` `DATA_INTEGER_ND_SET`
`static byte` `DATA_IRREGULAR_1D_SET`
`static byte` `DATA_IRREGULAR_2D_SET`
`static byte` `DATA_IRREGULAR_3D_SET`
`static byte` `DATA_IRREGULAR_SET`
`static byte` `DATA_LINEAR_1D_SET`
`static byte` `DATA_LINEAR_2D_SET`
`static byte` `DATA_LINEAR_3D_SET`
`static byte` `DATA_LINEAR_LATLON_SET`
`static byte` `DATA_LINEAR_ND_SET`
`static byte` `DATA_LIST1D_SET`
`static byte` `DATA_NONE`
`static byte` `DATA_PRODUCT_SET`
`static byte` `DATA_REAL`
`static byte` `DATA_REAL_TUPLE`
`static byte` `DATA_SINGLETON_SET`
`static byte` `DATA_TEXT`
`static byte` `DATA_TUPLE`
`static byte` `DATA_UNION_SET`
`static boolean` `DEBUG_RD_CSYS`
`static boolean` `DEBUG_RD_DATA`
`static boolean` `DEBUG_RD_DATA_DETAIL`
`static boolean` `DEBUG_RD_ERRE`
`static boolean` `DEBUG_RD_MATH`
`static boolean` `DEBUG_RD_STR`
`static boolean` `DEBUG_RD_TIME`
`static boolean` `DEBUG_RD_UNIT`
`static boolean` `DEBUG_WR_CSYS`
`static boolean` `DEBUG_WR_DATA`
`static boolean` `DEBUG_WR_DATA_DETAIL`
`static boolean` `DEBUG_WR_ERRE`
`static boolean` `DEBUG_WR_MATH`
`static boolean` `DEBUG_WR_STR`
`static boolean` `DEBUG_WR_TIME`
`static boolean` `DEBUG_WR_UNIT`
`static byte` `FLD_COORDSYS_SERIAL`
`static byte` `FLD_DATA_SAMPLES`
`static byte` `FLD_DELAUNAY`
`static byte` `FLD_DELAUNAY_EDGES`
`static byte` `FLD_DELAUNAY_NUM_EDGES`
`static byte` `FLD_DELAUNAY_SERIAL`
`static byte` `FLD_DELAUNAY_TRI`
`static byte` `FLD_DELAUNAY_VERTICES`
`static byte` `FLD_DELAUNAY_WALK`
`static byte` `FLD_DOUBLE_SAMPLES`
`static byte` `FLD_END`
`static byte` `FLD_FIRSTS`
`static byte` `FLD_FLOAT_LIST`
`static byte` `FLD_FLOAT_SAMPLES`
`static byte` `FLD_INDEX_COORDSYS`
`static byte` `FLD_INDEX_ERROR`
`static byte` `FLD_INDEX_ERRORS`
`static byte` `FLD_INDEX_UNIT`
`static byte` `FLD_INDEX_UNITS`
`static byte` `FLD_INTEGER_SETS`
`static byte` `FLD_LASTS`
`static byte` `FLD_LENGTHS`
`static byte` `FLD_LINEAR_SETS`
`static byte` `FLD_RANGE_COORDSYSES`
`static byte` `FLD_REAL_SAMPLES`
`static byte` `FLD_SAMPLE`
`static byte` `FLD_SET`
`static byte` `FLD_SET_FOLLOWS_TYPE`
`static byte` `FLD_SET_LIST`
`static byte` `FLD_SET_SAMPLES`
`static byte` `FLD_TRIVIAL_SAMPLES`
`static int` `FORMAT_VERSION`
`static String` `MAGIC_STR`
`static byte` `MATH_FUNCTION`
`static byte` `MATH_QUANTITY`
`static byte` `MATH_REAL`
`static byte` `MATH_REAL_TUPLE`
`static byte` `MATH_SET`
`static byte` `MATH_TEXT`
`static byte` `MATH_TUPLE`
`static byte` `OBJ_COORDSYS`
`static byte` `OBJ_DATA`
`static byte` `OBJ_DATA_SERIAL`
`static byte` `OBJ_ERROR`
`static byte` `OBJ_MATH`
`static byte` `OBJ_MATH_SERIAL`
`static byte` `OBJ_UNIT`

Field Detail

### MAGIC_STR

    public static final String MAGIC_STR

See Also:
  Constant Field Values

### FORMAT_VERSION

    public static final int FORMAT_VERSION

See Also:
  Constant Field Values

### OBJ_COORDSYS

    public static final byte OBJ_COORDSYS

See Also:
  Constant Field Values

### OBJ_DATA

    public static final byte OBJ_DATA

See Also:
  Constant Field Values

### OBJ_DATA_SERIAL

    public static final byte OBJ_DATA_SERIAL

See Also:
  Constant Field Values

### OBJ_ERROR

    public static final byte OBJ_ERROR

See Also:
  Constant Field Values

### OBJ_MATH

    public static final byte OBJ_MATH

See Also:
  Constant Field Values

### OBJ_MATH_SERIAL

    public static final byte OBJ_MATH_SERIAL

See Also:
  Constant Field Values

### OBJ_UNIT

    public static final byte OBJ_UNIT

See Also:
  Constant Field Values

### FLD_FIRSTS

    public static final byte FLD_FIRSTS

See Also:
  Constant Field Values

### FLD_LASTS

    public static final byte FLD_LASTS

See Also:
  Constant Field Values

### FLD_LENGTHS

    public static final byte FLD_LENGTHS

See Also:
  Constant Field Values

### FLD_FLOAT_LIST

    public static final byte FLD_FLOAT_LIST

See Also:
  Constant Field Values

### FLD_SAMPLE

    public static final byte FLD_SAMPLE

See Also:
  Constant Field Values

### FLD_FLOAT_SAMPLES

    public static final byte FLD_FLOAT_SAMPLES

See Also:
  Constant Field Values

### FLD_DOUBLE_SAMPLES

    public static final byte FLD_DOUBLE_SAMPLES

See Also:
  Constant Field Values

### FLD_DATA_SAMPLES

    public static final byte FLD_DATA_SAMPLES

See Also:
  Constant Field Values

### FLD_REAL_SAMPLES

    public static final byte FLD_REAL_SAMPLES

See Also:
  Constant Field Values

### FLD_TRIVIAL_SAMPLES

    public static final byte FLD_TRIVIAL_SAMPLES

See Also:
  Constant Field Values

### FLD_SET_SAMPLES

    public static final byte FLD_SET_SAMPLES

See Also:
  Constant Field Values

### FLD_SET

    public static final byte FLD_SET

See Also:
  Constant Field Values

### FLD_LINEAR_SETS

    public static final byte FLD_LINEAR_SETS

See Also:
  Constant Field Values

### FLD_INTEGER_SETS

    public static final byte FLD_INTEGER_SETS

See Also:
  Constant Field Values

### FLD_SET_LIST

    public static final byte FLD_SET_LIST

See Also:
  Constant Field Values

### FLD_COORDSYS_SERIAL

    public static final byte FLD_COORDSYS_SERIAL

See Also:
  Constant Field Values

### FLD_DELAUNAY_SERIAL

    public static final byte FLD_DELAUNAY_SERIAL

See Also:
  Constant Field Values

### FLD_INDEX_UNIT

    public static final byte FLD_INDEX_UNIT

See Also:
  Constant Field Values

### FLD_INDEX_ERROR

    public static final byte FLD_INDEX_ERROR

See Also:
  Constant Field Values

### FLD_INDEX_COORDSYS

    public static final byte FLD_INDEX_COORDSYS

See Also:
  Constant Field Values

### FLD_INDEX_UNITS

    public static final byte FLD_INDEX_UNITS

See Also:
  Constant Field Values

### FLD_INDEX_ERRORS

    public static final byte FLD_INDEX_ERRORS

See Also:
  Constant Field Values

### FLD_RANGE_COORDSYSES

    public static final byte FLD_RANGE_COORDSYSES

See Also:
  Constant Field Values

### FLD_DELAUNAY

    public static final byte FLD_DELAUNAY

See Also:
  Constant Field Values

### FLD_DELAUNAY_TRI

    public static final byte FLD_DELAUNAY_TRI

See Also:
  Constant Field Values

### FLD_DELAUNAY_VERTICES

    public static final byte FLD_DELAUNAY_VERTICES

See Also:
  Constant Field Values

### FLD_DELAUNAY_WALK

    public static final byte FLD_DELAUNAY_WALK

See Also:
  Constant Field Values

### FLD_DELAUNAY_EDGES

    public static final byte FLD_DELAUNAY_EDGES

See Also:
  Constant Field Values

### FLD_DELAUNAY_NUM_EDGES

    public static final byte FLD_DELAUNAY_NUM_EDGES

See Also:
  Constant Field Values

### FLD_SET_FOLLOWS_TYPE

    public static final byte FLD_SET_FOLLOWS_TYPE

See Also:
  Constant Field Values

### FLD_END

    public static final byte FLD_END

See Also:
  Constant Field Values

### MATH_FUNCTION

    public static final byte MATH_FUNCTION

See Also:
  Constant Field Values

### MATH_REAL

    public static final byte MATH_REAL

See Also:
  Constant Field Values

### MATH_REAL_TUPLE

    public static final byte MATH_REAL_TUPLE

See Also:
  Constant Field Values

### MATH_SET

    public static final byte MATH_SET

See Also:
  Constant Field Values

### MATH_TEXT

    public static final byte MATH_TEXT

See Also:
  Constant Field Values

### MATH_TUPLE

    public static final byte MATH_TUPLE

See Also:
  Constant Field Values

### MATH_QUANTITY

    public static final byte MATH_QUANTITY

See Also:
  Constant Field Values

### DATA_TEXT

    public static final byte DATA_TEXT

See Also:
  Constant Field Values

### DATA_REAL

    public static final byte DATA_REAL

See Also:
  Constant Field Values

### DATA_TUPLE

    public static final byte DATA_TUPLE

See Also:
  Constant Field Values

### DATA_REAL_TUPLE

    public static final byte DATA_REAL_TUPLE

See Also:
  Constant Field Values

### DATA_FIELD

    public static final byte DATA_FIELD

See Also:
  Constant Field Values

### DATA_FLAT_FIELD

    public static final byte DATA_FLAT_FIELD

See Also:
  Constant Field Values

### DATA_DOUBLE_SET

    public static final byte DATA_DOUBLE_SET

See Also:
  Constant Field Values

### DATA_FLOAT_SET

    public static final byte DATA_FLOAT_SET

See Also:
  Constant Field Values

### DATA_LIST1D_SET

    public static final byte DATA_LIST1D_SET

See Also:
  Constant Field Values

### DATA_SINGLETON_SET

    public static final byte DATA_SINGLETON_SET

See Also:
  Constant Field Values

### DATA_UNION_SET

    public static final byte DATA_UNION_SET

See Also:
  Constant Field Values

### DATA_PRODUCT_SET

    public static final byte DATA_PRODUCT_SET

See Also:
  Constant Field Values

### DATA_IRREGULAR_SET

    public static final byte DATA_IRREGULAR_SET

See Also:
  Constant Field Values

### DATA_IRREGULAR_1D_SET

    public static final byte DATA_IRREGULAR_1D_SET

See Also:
  Constant Field Values

### DATA_IRREGULAR_2D_SET

    public static final byte DATA_IRREGULAR_2D_SET

See Also:
  Constant Field Values

### DATA_IRREGULAR_3D_SET

    public static final byte DATA_IRREGULAR_3D_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_SET

    public static final byte DATA_GRIDDED_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_1D_SET

    public static final byte DATA_GRIDDED_1D_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_2D_SET

    public static final byte DATA_GRIDDED_2D_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_3D_SET

    public static final byte DATA_GRIDDED_3D_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_1D_DOUBLE_SET

    public static final byte DATA_GRIDDED_1D_DOUBLE_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_2D_DOUBLE_SET

    public static final byte DATA_GRIDDED_2D_DOUBLE_SET

See Also:
  Constant Field Values

### DATA_GRIDDED_3D_DOUBLE_SET

    public static final byte DATA_GRIDDED_3D_DOUBLE_SET

See Also:
  Constant Field Values

### DATA_LINEAR_1D_SET

    public static final byte DATA_LINEAR_1D_SET

See Also:
  Constant Field Values

### DATA_LINEAR_2D_SET

    public static final byte DATA_LINEAR_2D_SET

See Also:
  Constant Field Values

### DATA_LINEAR_3D_SET

    public static final byte DATA_LINEAR_3D_SET

See Also:
  Constant Field Values

### DATA_LINEAR_ND_SET

    public static final byte DATA_LINEAR_ND_SET

See Also:
  Constant Field Values

### DATA_LINEAR_LATLON_SET

    public static final byte DATA_LINEAR_LATLON_SET

See Also:
  Constant Field Values

### DATA_INTEGER_1D_SET

    public static final byte DATA_INTEGER_1D_SET

See Also:
  Constant Field Values

### DATA_INTEGER_2D_SET

    public static final byte DATA_INTEGER_2D_SET

See Also:
  Constant Field Values

### DATA_INTEGER_3D_SET

    public static final byte DATA_INTEGER_3D_SET

See Also:
  Constant Field Values

### DATA_INTEGER_ND_SET

    public static final byte DATA_INTEGER_ND_SET

See Also:
  Constant Field Values

### DATA_NONE

    public static final byte DATA_NONE

See Also:
  Constant Field Values

### DEBUG_RD_CSYS

    public static final boolean DEBUG_RD_CSYS

See Also:
  Constant Field Values

### DEBUG_RD_DATA

    public static final boolean DEBUG_RD_DATA

See Also:
  Constant Field Values

### DEBUG_RD_DATA_DETAIL

    public static final boolean DEBUG_RD_DATA_DETAIL

See Also:
  Constant Field Values

### DEBUG_RD_ERRE

    public static final boolean DEBUG_RD_ERRE

See Also:
  Constant Field Values

### DEBUG_RD_MATH

    public static final boolean DEBUG_RD_MATH

See Also:
  Constant Field Values

### DEBUG_RD_STR

    public static final boolean DEBUG_RD_STR

See Also:
  Constant Field Values

### DEBUG_RD_TIME

    public static final boolean DEBUG_RD_TIME

See Also:
  Constant Field Values

### DEBUG_RD_UNIT

    public static final boolean DEBUG_RD_UNIT

See Also:
  Constant Field Values

### DEBUG_WR_CSYS

    public static final boolean DEBUG_WR_CSYS

See Also:
  Constant Field Values

### DEBUG_WR_DATA

    public static final boolean DEBUG_WR_DATA

See Also:
  Constant Field Values

### DEBUG_WR_DATA_DETAIL

    public static final boolean DEBUG_WR_DATA_DETAIL

See Also:
  Constant Field Values

### DEBUG_WR_ERRE

    public static final boolean DEBUG_WR_ERRE

See Also:
  Constant Field Values

### DEBUG_WR_MATH

    public static final boolean DEBUG_WR_MATH

See Also:
  Constant Field Values

### DEBUG_WR_STR

    public static final boolean DEBUG_WR_STR

See Also:
  Constant Field Values

### DEBUG_WR_TIME

    public static final boolean DEBUG_WR_TIME

See Also:
  Constant Field Values

### DEBUG_WR_UNIT

    public static final boolean DEBUG_WR_UNIT

See Also:
  Constant Field Values